> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Monthly Period Usage



## OpenAPI

````yaml get /internal-billing/usage/monthly
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /internal-billing/usage/monthly:
    get:
      tags:
        - provider
        - internal-billing
        - usage
      summary: Get Monthly Period Usage
      operationId: get_monthly_period_usage_internal_billing_usage_monthly_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: start_date
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: Start date for the pricing period
            title: Start Date
          description: Start date for the pricing period
        - name: end_date
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: End date for the pricing period
            title: End Date
          description: End date for the pricing period
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UsageItem'
                title: >-
                  Response Get Monthly Period Usage Internal Billing Usage
                  Monthly Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UsageItem:
      properties:
        date:
          type: string
          title: Date
        quantity:
          type: number
          title: Quantity
        description:
          type: string
          title: Description
        unitPrice:
          type: integer
          title: Unitprice
        amount:
          type: integer
          title: Amount
        pricingId:
          anyOf:
            - type: string
            - type: 'null'
          title: Pricingid
      type: object
      required:
        - date
        - quantity
        - description
        - unitPrice
        - amount
      title: UsageItem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````